<?php
/**
 * WordPress.com specific functions.
 * This file is centrally included from `wp-content/mu-plugins/wpcom-theme-compat.php`.
 *
 * @package Panel
 */


/**
 * De-queue Google fonts if custom fonts are being used instead.
 */
function panel_wpcom_scripts() {
	wp_enqueue_style( 'panel-wpcom', get_template_directory_uri() . '/inc/style-wpcom.css', array( 'panel-style' ), '20130905' );

	if ( class_exists( 'TypekitData' ) && TypekitData::get( 'upgraded' ) ) {
		$customfonts = TypekitData::get( 'families' );

		if ( $customfonts && $customfonts['site-title']['id'] && $customfonts['headings']['id'] && $customfonts['body-text']['id'] ) {
			wp_dequeue_style( 'panel-sourcesanspro' );
			wp_dequeue_style( 'panel-alegreya' );
		}
	}
}
add_action( 'wp_enqueue_scripts', 'panel_wpcom_scripts' );

/**
 * WordPress.com setup.
 */
function panel_wpcom_setup() {
	global $themecolors;

	/**
	 * Set a default theme color array for WP.com.
	 *
	 * @global array $themecolors
	 */
	if ( ! isset( $themecolors ) ) {
		$themecolors = array(
			'bg'     => 'fdfdfa',
			'border' => 'eeeeee',
			'text'   => '666666',
			'link'   => 'fe7050',
			'url'    => 'fe7050',
		);
	}

	add_theme_support( 'print-style' );
}
add_action( 'after_setup_theme', 'panel_wpcom_setup' );
